List data streams

Base URL
https://{kibana_url}
  • GET /api/fleet/data_streams
  • GET /s/{space_id}/api/fleet/data_streams
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

OK

application/json
data_streams object[]
dashboard object[]
id string
title string
dataset string
index string
last_activity_ms number
namespace string
package string
package_version string
size_in_bytes number
size_in_bytes_formatted string
type string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}